LinHES - Bug # 332: On Boot mythbackend not available.

Status: Closed Priority: Normal

Author: brfransen Category:

Created: 04/26/2009 Assignee: jams

Updated: 12/25/2011 Due date: 12/31/1969

Description: On every boot | get a message from mythfrontend that a backend is not available. Once | click OK the

frontend continues to load and the backend is available. | think this is some kind of race condition where the
backend isn't ready for connections when the frontend loads. Maybe some kind of check in LinHES-run that

would look to see if the backend is up and pause for a second or two if it isn't.

History

04/27/2009 05:24 pm - brfransen
Adding sleep 9 just before the $STARTCMD line in LinHES-run did not give me the message. Anything less than 9 did give the message that the
backend wasn't available so it does appear to be a race condition.

04/27/2009 06:09 pm - mihanson
Have you tried editing the number of attempts (and time delay between attempts) for mysqgl on your FE to connect to your BE? See
[[bttp://mysettopbox.tv/phpBB2/viewtopic.php?t=19766|here]].

04/27/2009 06:45 pm - brfransen

| had tried Service Menu > MythTV Configuration > Setup > General > 2nd Page. Check "Enable Database Server Wake Up" before and it didn't work.
But you got me thinking and in mythtv-setup General > Backend Wakeup Setting page, Master Backend Delay between wake attempts was set to 0 sec
and Wake Attempts was 5. | changed Delay between wake attempts to 5 sec and that fixed it.

| am not sure if these were changed in the R5.5 --> R6 upgrade but if they weren't maybe they should be.

06/10/2009 03:58 pm - jams

For new installs only, the suggestion above has been put in place for mythdb-initial revision 42

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04
